/*
 * The contents of this file are subject to the terms of the Common Development
 * and Distribution License (the License). You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the License at http://www.netbeans.org/cddl.html
 * or http://www.netbeans.org/cddl.txt.
 * 
 * When distributing Covered Code, include this CDDL Header Notice in each file
 * and include the License file at http://www.netbeans.org/cddl.txt.
 * If applicable, add the following below the CDDL Header, with the fields
 * enclosed by brackets [] replaced by your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * The Original Software is NetBeans. The Initial Developer of the Original
 * Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.modules.apisupport.beanbrowser;

import org.openide.nodes.Node;
import org.openide.nodes.NodeOperation;
import org.openide.util.HelpCtx;
import org.openide.util.actions.NodeAction;

/** Browse the current node selection. */
public class BeanBrowseAction extends NodeAction {
    
    public boolean enable (Node[] nodes) {
        return nodes.length == 1;
    }
    
    public void performAction (Node[] nodes) {
        if (enable (nodes)) {
            NodeOperation.getDefault().explore(PropSetKids.makeObjectNode(nodes[0]));
        }
    }
    
    public HelpCtx getHelpCtx () {
        return new HelpCtx ("org.netbeans.modules.apisupport.beanbrowser");
    }
    
    public String getName () {
        return "Bean Browse Node";
    }
    
    protected boolean asynchronous() {
        return false;
    }

    protected void initialize() {
        super.initialize();
        // #59995:
        putValue("noIconInMenu", Boolean.TRUE); // NOI18N
    }
    
}
